// -*- c++ -*-

# ifndef ForsytheReader_h
# define ForsytheReader_h

# include <iosfwd>
namespace Alice
{
  class Board;
  class ForsytheReader
  {
  public:
    ForsytheReader(Board& b, std::istream& in );
    ~ForsytheReader();
    bool read();
  private:
    bool readRank(int rank);
    void readChar( int& file, int rank );
    bool skipSlash( int rank );
    void putPiece( char c, int file, int rank );
    Board& board;
    std::istream& stream;
  };
}; // namespace Alice

# endif // ForsytheReader_h
